org.firebirdsql.jdbc.parser

## Class JaybirdSqlParser

- java.lang.Object
- - org.antlr.v4.runtime.Recognizer<org.antlr.v4.runtime.Token,org.antlr.v4.runtime.atn.ParserATNSimulator>
  - - org.antlr.v4.runtime.Parser
    - - org.firebirdsql.jdbc.parser.JaybirdSqlParser

-     public class JaybirdSqlParser
      extends org.antlr.v4.runtime.Parser

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `JaybirdSqlParser.ArrayElementContext`
    `static class` | `JaybirdSqlParser.ArrayRangeContext`
    `static class` | `JaybirdSqlParser.ArraySpecContext`
    `static class` | `JaybirdSqlParser.ArrayTypeContext`
    `static class` | `JaybirdSqlParser.AssignmentContext`
    `static class` | `JaybirdSqlParser.AssignmentsContext`
    `static class` | `JaybirdSqlParser.BlobSegSizeContext`
    `static class` | `JaybirdSqlParser.BlobSubtypeContext`
    `static class` | `JaybirdSqlParser.BlobTypeContext`
    `static class` | `JaybirdSqlParser.CastExpressionContext`
    `static class` | `JaybirdSqlParser.CharSetCharTypeContext`
    `static class` | `JaybirdSqlParser.CharSetClauseContext`
    `static class` | `JaybirdSqlParser.CharTypeContext`
    `static class` | `JaybirdSqlParser.ColumnListContext`
    `static class` | `JaybirdSqlParser.ColumnNameContext`
    `static class` | `JaybirdSqlParser.DataTypeDescriptorContext`
    `static class` | `JaybirdSqlParser.DefaultValuesClauseContext`
    `static class` | `JaybirdSqlParser.DeleteStatementContext`
    `static class` | `JaybirdSqlParser.ExtractFunctionContext`
    `static class` | `JaybirdSqlParser.FullIdentifierContext`
    `static class` | `JaybirdSqlParser.FunctionContext`
    `static class` | `JaybirdSqlParser.InsertColumnsContext`
    `static class` | `JaybirdSqlParser.InsertStatementContext`
    `static class` | `JaybirdSqlParser.InsertValuesContext`
    `static class` | `JaybirdSqlParser.MatchingClauseContext`
    `static class` | `JaybirdSqlParser.NextValueExpressionContext`
    `static class` | `JaybirdSqlParser.NonArrayTypeContext`
    `static class` | `JaybirdSqlParser.NonCharSetCharTypeContext`
    `static class` | `JaybirdSqlParser.NonCharTypeContext`
    `static class` | `JaybirdSqlParser.NullValueContext`
    `static class` | `JaybirdSqlParser.ParameterContext`
    `static class` | `JaybirdSqlParser.ReturningClauseContext`
    `static class` | `JaybirdSqlParser.SelectClauseContext`
    `static class` | `JaybirdSqlParser.SimpleIdentifierContext`
    `static class` | `JaybirdSqlParser.SimpleTypeContext`
    `static class` | `JaybirdSqlParser.SimpleValueContext`
    `static class` | `JaybirdSqlParser.StatementContext`
    `static class` | `JaybirdSqlParser.SubstringFunctionContext`
    `static class` | `JaybirdSqlParser.TableNameContext`
    `static class` | `JaybirdSqlParser.TrimFunctionContext`
    `static class` | `JaybirdSqlParser.TrimSpecificationContext`
    `static class` | `JaybirdSqlParser.UpdateOrInsertStatementContext`
    `static class` | `JaybirdSqlParser.UpdateStatementContext`
    `static class` | `JaybirdSqlParser.ValueContext`
    `static class` | `JaybirdSqlParser.ValueListContext`

    - ### Nested classes/interfaces inherited from class org.antlr.v4.runtime.Parser

      `org.antlr.v4.runtime.Parser.TraceListener, org.antlr.v4.runtime.Parser.TrimToSizeListener`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.antlr.v4.runtime.atn.ATN` | `_ATN`
    `protected static org.antlr.v4.runtime.dfa.DFA[]` | `_decisionToDFA`
    `protected boolean` | `_defaultValues`
    `protected java.util.ArrayList` | `_errorMessages`
    `static java.lang.String` | `_serializedATN`
    `protected static org.antlr.v4.runtime.atn.PredictionContextCache` | `_sharedContextCache`
    `static int` | `ALL`
    `static int` | `AND`
    `static int` | `AS`
    `static int` | `AVG`
    `static int` | `BINARY_STRING`
    `static int` | `BOTH`
    `static int` | `CAST`
    `static int` | `CHARACTER`
    `static int` | `COLLATE`
    `static int` | `COMMA`
    `static int` | `COMMENT`
    `static int` | `COUNT`
    `static int` | `DB_KEY`
    `static int` | `DEFAULT`
    `static int` | `DELETE`
    `static int` | `DISTINCT`
    `static int` | `EXECUTE`
    `static int` | `EXTRACT`
    `static int` | `FOR`
    `static int` | `FROM`
    `static int` | `GEN_ID`
    `static int` | `GENERIC_ID`
    `static int` | `INSERT`
    `static int` | `INTEGER`
    `static int` | `INTO`
    `static int` | `KW_BIGINT`
    `static int` | `KW_BLOB`
    `static int` | `KW_BOOLEAN`
    `static int` | `KW_CHAR`
    `static int` | `KW_DATE`
    `static int` | `KW_DECIMAL`
    `static int` | `KW_DOUBLE`
    `static int` | `KW_FLOAT`
    `static int` | `KW_INT`
    `static int` | `KW_INTEGER`
    `static int` | `KW_NCHAR`
    `static int` | `KW_NUMERIC`
    `static int` | `KW_NVARCHAR`
    `static int` | `KW_PRECISION`
    `static int` | `KW_SIZE`
    `static int` | `KW_SMALLINT`
    `static int` | `KW_TIME`
    `static int` | `KW_TIMESTAMP`
    `static int` | `KW_VARCHAR`
    `static int` | `LEADING`
    `static int` | `LEFT_PAREN`
    `static int` | `MATCHING`
    `static int` | `MAXIMUM`
    `static int` | `MINIMUM`
    `static int` | `NEXT`
    `static int` | `NULL`
    `static int` | `NUMERIC`
    `static int` | `OR`
    `static int` | `PROCEDURE`
    `static int` | `QUOTED_ID`
    `static int` | `REAL`
    `static int` | `RETURNING`
    `static int` | `RIGHT_PAREN`
    `static int` | `RULE_arrayElement`
    `static int` | `RULE_arrayRange`
    `static int` | `RULE_arraySpec`
    `static int` | `RULE_arrayType`
    `static int` | `RULE_assignment`
    `static int` | `RULE_assignments`
    `static int` | `RULE_blobSegSize`
    `static int` | `RULE_blobSubtype`
    `static int` | `RULE_blobType`
    `static int` | `RULE_castExpression`
    `static int` | `RULE_charSetCharType`
    `static int` | `RULE_charSetClause`
    `static int` | `RULE_charType`
    `static int` | `RULE_columnList`
    `static int` | `RULE_columnName`
    `static int` | `RULE_dataTypeDescriptor`
    `static int` | `RULE_defaultValuesClause`
    `static int` | `RULE_deleteStatement`
    `static int` | `RULE_extractFunction`
    `static int` | `RULE_fullIdentifier`
    `static int` | `RULE_function`
    `static int` | `RULE_insertColumns`
    `static int` | `RULE_insertStatement`
    `static int` | `RULE_insertValues`
    `static int` | `RULE_matchingClause`
    `static int` | `RULE_nextValueExpression`
    `static int` | `RULE_nonArrayType`
    `static int` | `RULE_nonCharSetCharType`
    `static int` | `RULE_nonCharType`
    `static int` | `RULE_nullValue`
    `static int` | `RULE_parameter`
    `static int` | `RULE_returningClause`
    `static int` | `RULE_selectClause`
    `static int` | `RULE_simpleIdentifier`
    `static int` | `RULE_simpleType`
    `static int` | `RULE_simpleValue`
    `static int` | `RULE_statement`
    `static int` | `RULE_substringFunction`
    `static int` | `RULE_tableName`
    `static int` | `RULE_trimFunction`
    `static int` | `RULE_trimSpecification`
    `static int` | `RULE_updateOrInsertStatement`
    `static int` | `RULE_updateStatement`
    `static int` | `RULE_value`
    `static int` | `RULE_valueList`
    `static java.lang.String[]` | `ruleNames`
    `static int` | `SEGMENT`
    `static int` | `SELECT`
    `static int` | `SET`
    `static int` | `SL_COMMENT`
    `protected JaybirdStatementModel` | `statementModel`
    `static int` | `STRING`
    `static int` | `SUB_TYPE`
    `static int` | `SUBSTRING`
    `static int` | `SUM`
    `static int` | `T__0`
    `static int` | `T__1`
    `static int` | `T__10`
    `static int` | `T__2`
    `static int` | `T__3`
    `static int` | `T__4`
    `static int` | `T__5`
    `static int` | `T__6`
    `static int` | `T__7`
    `static int` | `T__8`
    `static int` | `T__9`
    `static java.lang.String[]` | `tokenNames` Deprecated. Use `VOCABULARY` instead.
    `static int` | `TRAILING`
    `static int` | `TRIM`
    `static int` | `TRUTH_VALUE`
    `static int` | `UNKNOWN`
    `static int` | `UPDATE`
    `static int` | `VALUE`
    `static int` | `VALUES`
    `static org.antlr.v4.runtime.Vocabulary` | `VOCABULARY`
    `static int` | `WS`

    - ### Fields inherited from class org.antlr.v4.runtime.Parser

      `_buildParseTrees, _ctx, _errHandler, _input, _parseListeners, _precedenceStack, _syntaxErrors, matchedEOF`

    - ### Fields inherited from class org.antlr.v4.runtime.Recognizer

      `_interp, EOF`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JaybirdSqlParser(org.antlr.v4.runtime.TokenStream input)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `JaybirdSqlParser.ArrayElementContext` | `arrayElement()`
    `JaybirdSqlParser.ArrayRangeContext` | `arrayRange()`
    `JaybirdSqlParser.ArraySpecContext` | `arraySpec()`
    `JaybirdSqlParser.ArrayTypeContext` | `arrayType()`
    `JaybirdSqlParser.AssignmentContext` | `assignment()`
    `JaybirdSqlParser.AssignmentsContext` | `assignments()`
    `JaybirdSqlParser.BlobSegSizeContext` | `blobSegSize()`
    `JaybirdSqlParser.BlobSubtypeContext` | `blobSubtype()`
    `JaybirdSqlParser.BlobTypeContext` | `blobType()`
    `JaybirdSqlParser.CastExpressionContext` | `castExpression()`
    `JaybirdSqlParser.CharSetCharTypeContext` | `charSetCharType()`
    `JaybirdSqlParser.CharSetClauseContext` | `charSetClause()`
    `JaybirdSqlParser.CharTypeContext` | `charType()`
    `JaybirdSqlParser.ColumnListContext` | `columnList()`
    `JaybirdSqlParser.ColumnNameContext` | `columnName()`
    `JaybirdSqlParser.DataTypeDescriptorContext` | `dataTypeDescriptor()`
    `JaybirdSqlParser.DefaultValuesClauseContext` | `defaultValuesClause()`
    `JaybirdSqlParser.DeleteStatementContext` | `deleteStatement()`
    `void` | `emitErrorMessage(java.lang.String msg)`
    `JaybirdSqlParser.ExtractFunctionContext` | `extractFunction()`
    `JaybirdSqlParser.FullIdentifierContext` | `fullIdentifier()`
    `JaybirdSqlParser.FunctionContext` | `function()`
    `org.antlr.v4.runtime.atn.ATN` | `getATN()`
    `java.lang.String` | `getColumn(int index)`
    `java.util.Collection` | `getErrorMessages()`
    `java.lang.String` | `getGrammarFileName()`
    `java.lang.String[]` | `getRuleNames()`
    `java.lang.String` | `getSerializedATN()`
    `JaybirdStatementModel` | `getStatementModel()`
    `java.lang.String` | `getTableName()`
    `java.lang.String[]` | `getTokenNames()` Deprecated.
    `java.lang.String` | `getValue(int index)`
    `org.antlr.v4.runtime.Vocabulary` | `getVocabulary()`
    `JaybirdSqlParser.InsertColumnsContext` | `insertColumns()`
    `JaybirdSqlParser.InsertStatementContext` | `insertStatement()`
    `JaybirdSqlParser.InsertValuesContext` | `insertValues()`
    `JaybirdSqlParser.MatchingClauseContext` | `matchingClause()`
    `JaybirdSqlParser.NextValueExpressionContext` | `nextValueExpression()`
    `JaybirdSqlParser.NonArrayTypeContext` | `nonArrayType()`
    `JaybirdSqlParser.NonCharSetCharTypeContext` | `nonCharSetCharType()`
    `JaybirdSqlParser.NonCharTypeContext` | `nonCharType()`
    `JaybirdSqlParser.NullValueContext` | `nullValue()`
    `JaybirdSqlParser.ParameterContext` | `parameter()`
    `JaybirdSqlParser.ReturningClauseContext` | `returningClause()`
    `JaybirdSqlParser.SelectClauseContext` | `selectClause()`
    `boolean` | `sempred(org.antlr.v4.runtime.RuleContext _localctx, int ruleIndex, int predIndex)`
    `JaybirdSqlParser.SimpleIdentifierContext` | `simpleIdentifier()`
    `JaybirdSqlParser.SimpleTypeContext` | `simpleType()`
    `JaybirdSqlParser.SimpleValueContext` | `simpleValue()`
    `JaybirdSqlParser.StatementContext` | `statement()`
    `JaybirdSqlParser.SubstringFunctionContext` | `substringFunction()`
    `JaybirdSqlParser.TableNameContext` | `tableName()`
    `JaybirdSqlParser.TrimFunctionContext` | `trimFunction()`
    `JaybirdSqlParser.TrimSpecificationContext` | `trimSpecification()`
    `JaybirdSqlParser.UpdateOrInsertStatementContext` | `updateOrInsertStatement()`
    `JaybirdSqlParser.UpdateStatementContext` | `updateStatement()`
    `JaybirdSqlParser.ValueContext` | `value()`
    `JaybirdSqlParser.ValueListContext` | `valueList()`

    - ### Methods inherited from class org.antlr.v4.runtime.Parser

      `addContextToParseTree, addParseListener, compileParseTreePattern, compileParseTreePattern, consume, createErrorNode, createTerminalNode, dumpDFA, enterOuterAlt, enterRecursionRule, enterRecursionRule, enterRule, exitRule, getATNWithBypassAlts, getBuildParseTree, getContext, getCurrentToken, getDFAStrings, getErrorHandler, getExpectedTokens, getExpectedTokensWithinCurrentRule, getInputStream, getInvokingContext, getNumberOfSyntaxErrors, getParseInfo, getParseListeners, getPrecedence, getRuleContext, getRuleIndex, getRuleInvocationStack, getRuleInvocationStack, getSourceName, getTokenFactory, getTokenStream, getTrimParseTree, inContext, isExpectedToken, isMatchedEOF, isTrace, match, matchWildcard, notifyErrorListeners, notifyErrorListeners, precpred, pushNewRecursionContext, removeParseListener, removeParseListeners, reset, setBuildParseTree, setContext, setErrorHandler, setInputStream, setProfile, setTokenFactory, setTokenStream, setTrace, setTrimParseTree, triggerEnterRuleEvent, triggerExitRuleEvent, unrollRecursionContexts`

    - ### Methods inherited from class org.antlr.v4.runtime.Recognizer

      `action, addErrorListener, getErrorHeader, getErrorListenerDispatch, getErrorListeners, getInterpreter, getRuleIndexMap, getState, getTokenErrorDisplay, getTokenType, getTokenTypeMap, removeErrorListener, removeErrorListeners, setInterpreter, setState`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _decisionToDFA

          protected static final org.antlr.v4.runtime.dfa.DFA[] _decisionToDFA

    - #### _sharedContextCache

          protected static final org.antlr.v4.runtime.atn.PredictionContextCache _sharedContextCache

    - #### T__0

          public static final int T__0

      See Also:
        Constant Field Values

    - #### T__1

          public static final int T__1

      See Also:
        Constant Field Values

    - #### T__2

          public static final int T__2

      See Also:
        Constant Field Values

    - #### T__3

          public static final int T__3

      See Also:
        Constant Field Values

    - #### T__4

          public static final int T__4

      See Also:
        Constant Field Values

    - #### T__5

          public static final int T__5

      See Also:
        Constant Field Values

    - #### T__6

          public static final int T__6

      See Also:
        Constant Field Values

    - #### T__7

          public static final int T__7

      See Also:
        Constant Field Values

    - #### T__8

          public static final int T__8

      See Also:
        Constant Field Values

    - #### T__9

          public static final int T__9

      See Also:
        Constant Field Values

    - #### T__10

          public static final int T__10

      See Also:
        Constant Field Values

    - #### ALL

          public static final int ALL

      See Also:
        Constant Field Values

    - #### AND

          public static final int AND

      See Also:
        Constant Field Values

    - #### AS

          public static final int AS

      See Also:
        Constant Field Values

    - #### AVG

          public static final int AVG

      See Also:
        Constant Field Values

    - #### BOTH

          public static final int BOTH

      See Also:
        Constant Field Values

    - #### CAST

          public static final int CAST

      See Also:
        Constant Field Values

    - #### CHARACTER

          public static final int CHARACTER

      See Also:
        Constant Field Values

    - #### COUNT

          public static final int COUNT

      See Also:
        Constant Field Values

    - #### COLLATE

          public static final int COLLATE

      See Also:
        Constant Field Values

    - #### DEFAULT

          public static final int DEFAULT

      See Also:
        Constant Field Values

    - #### DELETE

          public static final int DELETE

      See Also:
        Constant Field Values

    - #### DISTINCT

          public static final int DISTINCT

      See Also:
        Constant Field Values

    - #### DB_KEY

          public static final int DB_KEY

      See Also:
        Constant Field Values

    - #### EXTRACT

          public static final int EXTRACT

      See Also:
        Constant Field Values

    - #### EXECUTE

          public static final int EXECUTE

      See Also:
        Constant Field Values

    - #### FOR

          public static final int FOR

      See Also:
        Constant Field Values

    - #### FROM

          public static final int FROM

      See Also:
        Constant Field Values

    - #### GEN_ID

          public static final int GEN_ID

      See Also:
        Constant Field Values

    - #### INSERT

          public static final int INSERT

      See Also:
        Constant Field Values

    - #### INTO

          public static final int INTO

      See Also:
        Constant Field Values

    - #### LEADING

          public static final int LEADING

      See Also:
        Constant Field Values

    - #### MATCHING

          public static final int MATCHING

      See Also:
        Constant Field Values

    - #### MINIMUM

          public static final int MINIMUM

      See Also:
        Constant Field Values

    - #### MAXIMUM

          public static final int MAXIMUM

      See Also:
        Constant Field Values

    - #### NULL

          public static final int NULL

      See Also:
        Constant Field Values

    - #### NEXT

          public static final int NEXT

      See Also:
        Constant Field Values

    - #### OR

          public static final int OR

      See Also:
        Constant Field Values

    - #### PROCEDURE

          public static final int PROCEDURE

      See Also:
        Constant Field Values

    - #### RETURNING

          public static final int RETURNING

      See Also:
        Constant Field Values

    - #### SEGMENT

          public static final int SEGMENT

      See Also:
        Constant Field Values

    - #### SELECT

          public static final int SELECT

      See Also:
        Constant Field Values

    - #### SET

          public static final int SET

      See Also:
        Constant Field Values

    - #### SUBSTRING

          public static final int SUBSTRING

      See Also:
        Constant Field Values

    - #### SUB_TYPE

          public static final int SUB_TYPE

      See Also:
        Constant Field Values

    - #### SUM

          public static final int SUM

      See Also:
        Constant Field Values

    - #### TRIM

          public static final int TRIM

      See Also:
        Constant Field Values

    - #### TRAILING

          public static final int TRAILING

      See Also:
        Constant Field Values

    - #### UNKNOWN

          public static final int UNKNOWN

      See Also:
        Constant Field Values

    - #### UPDATE

          public static final int UPDATE

      See Also:
        Constant Field Values

    - #### VALUE

          public static final int VALUE

      See Also:
        Constant Field Values

    - #### VALUES

          public static final int VALUES

      See Also:
        Constant Field Values

    - #### KW_BLOB

          public static final int KW_BLOB

      See Also:
        Constant Field Values

    - #### KW_BIGINT

          public static final int KW_BIGINT

      See Also:
        Constant Field Values

    - #### KW_BOOLEAN

          public static final int KW_BOOLEAN

      See Also:
        Constant Field Values

    - #### KW_CHAR

          public static final int KW_CHAR

      See Also:
        Constant Field Values

    - #### KW_DATE

          public static final int KW_DATE

      See Also:
        Constant Field Values

    - #### KW_DECIMAL

          public static final int KW_DECIMAL

      See Also:
        Constant Field Values

    - #### KW_DOUBLE

          public static final int KW_DOUBLE

      See Also:
        Constant Field Values

    - #### KW_PRECISION

          public static final int KW_PRECISION

      See Also:
        Constant Field Values

    - #### KW_FLOAT

          public static final int KW_FLOAT

      See Also:
        Constant Field Values

    - #### KW_INTEGER

          public static final int KW_INTEGER

      See Also:
        Constant Field Values

    - #### KW_INT

          public static final int KW_INT

      See Also:
        Constant Field Values

    - #### KW_NCHAR

          public static final int KW_NCHAR

      See Also:
        Constant Field Values

    - #### KW_NUMERIC

          public static final int KW_NUMERIC

      See Also:
        Constant Field Values

    - #### KW_NVARCHAR

          public static final int KW_NVARCHAR

      See Also:
        Constant Field Values

    - #### KW_SMALLINT

          public static final int KW_SMALLINT

      See Also:
        Constant Field Values

    - #### KW_TIME

          public static final int KW_TIME

      See Also:
        Constant Field Values

    - #### KW_TIMESTAMP

          public static final int KW_TIMESTAMP

      See Also:
        Constant Field Values

    - #### KW_VARCHAR

          public static final int KW_VARCHAR

      See Also:
        Constant Field Values

    - #### KW_SIZE

          public static final int KW_SIZE

      See Also:
        Constant Field Values

    - #### LEFT_PAREN

          public static final int LEFT_PAREN

      See Also:
        Constant Field Values

    - #### RIGHT_PAREN

          public static final int RIGHT_PAREN

      See Also:
        Constant Field Values

    - #### COMMA

          public static final int COMMA

      See Also:
        Constant Field Values

    - #### INTEGER

          public static final int INTEGER

      See Also:
        Constant Field Values

    - #### NUMERIC

          public static final int NUMERIC

      See Also:
        Constant Field Values

    - #### REAL

          public static final int REAL

      See Also:
        Constant Field Values

    - #### STRING

          public static final int STRING

      See Also:
        Constant Field Values

    - #### BINARY_STRING

          public static final int BINARY_STRING

      See Also:
        Constant Field Values

    - #### TRUTH_VALUE

          public static final int TRUTH_VALUE

      See Also:
        Constant Field Values

    - #### GENERIC_ID

          public static final int GENERIC_ID

      See Also:
        Constant Field Values

    - #### QUOTED_ID

          public static final int QUOTED_ID

      See Also:
        Constant Field Values

    - #### SL_COMMENT

          public static final int SL_COMMENT

      See Also:
        Constant Field Values

    - #### COMMENT

          public static final int COMMENT

      See Also:
        Constant Field Values

    - #### WS

          public static final int WS

      See Also:
        Constant Field Values

    - #### RULE_statement

          public static final int RULE_statement

      See Also:
        Constant Field Values

    - #### RULE_deleteStatement

          public static final int RULE_deleteStatement

      See Also:
        Constant Field Values

    - #### RULE_updateStatement

          public static final int RULE_updateStatement

      See Also:
        Constant Field Values

    - #### RULE_assignments

          public static final int RULE_assignments

      See Also:
        Constant Field Values

    - #### RULE_assignment

          public static final int RULE_assignment

      See Also:
        Constant Field Values

    - #### RULE_updateOrInsertStatement

          public static final int RULE_updateOrInsertStatement

      See Also:
        Constant Field Values

    - #### RULE_matchingClause

          public static final int RULE_matchingClause

      See Also:
        Constant Field Values

    - #### RULE_insertStatement

          public static final int RULE_insertStatement

      See Also:
        Constant Field Values

    - #### RULE_insertColumns

          public static final int RULE_insertColumns

      See Also:
        Constant Field Values

    - #### RULE_insertValues

          public static final int RULE_insertValues

      See Also:
        Constant Field Values

    - #### RULE_returningClause

          public static final int RULE_returningClause

      See Also:
        Constant Field Values

    - #### RULE_defaultValuesClause

          public static final int RULE_defaultValuesClause

      See Also:
        Constant Field Values

    - #### RULE_simpleIdentifier

          public static final int RULE_simpleIdentifier

      See Also:
        Constant Field Values

    - #### RULE_fullIdentifier

          public static final int RULE_fullIdentifier

      See Also:
        Constant Field Values

    - #### RULE_tableName

          public static final int RULE_tableName

      See Also:
        Constant Field Values

    - #### RULE_columnList

          public static final int RULE_columnList

      See Also:
        Constant Field Values

    - #### RULE_columnName

          public static final int RULE_columnName

      See Also:
        Constant Field Values

    - #### RULE_valueList

          public static final int RULE_valueList

      See Also:
        Constant Field Values

    - #### RULE_value

          public static final int RULE_value

      See Also:
        Constant Field Values

    - #### RULE_parameter

          public static final int RULE_parameter

      See Also:
        Constant Field Values

    - #### RULE_nullValue

          public static final int RULE_nullValue

      See Also:
        Constant Field Values

    - #### RULE_simpleValue

          public static final int RULE_simpleValue

      See Also:
        Constant Field Values

    - #### RULE_nextValueExpression

          public static final int RULE_nextValueExpression

      See Also:
        Constant Field Values

    - #### RULE_castExpression

          public static final int RULE_castExpression

      See Also:
        Constant Field Values

    - #### RULE_dataTypeDescriptor

          public static final int RULE_dataTypeDescriptor

      See Also:
        Constant Field Values

    - #### RULE_nonArrayType

          public static final int RULE_nonArrayType

      See Also:
        Constant Field Values

    - #### RULE_simpleType

          public static final int RULE_simpleType

      See Also:
        Constant Field Values

    - #### RULE_charType

          public static final int RULE_charType

      See Also:
        Constant Field Values

    - #### RULE_nonCharSetCharType

          public static final int RULE_nonCharSetCharType

      See Also:
        Constant Field Values

    - #### RULE_charSetCharType

          public static final int RULE_charSetCharType

      See Also:
        Constant Field Values

    - #### RULE_nonCharType

          public static final int RULE_nonCharType

      See Also:
        Constant Field Values

    - #### RULE_blobType

          public static final int RULE_blobType

      See Also:
        Constant Field Values

    - #### RULE_blobSubtype

          public static final int RULE_blobSubtype

      See Also:
        Constant Field Values

    - #### RULE_blobSegSize

          public static final int RULE_blobSegSize

      See Also:
        Constant Field Values

    - #### RULE_charSetClause

          public static final int RULE_charSetClause

      See Also:
        Constant Field Values

    - #### RULE_arrayType

          public static final int RULE_arrayType

      See Also:
        Constant Field Values

    - #### RULE_arraySpec

          public static final int RULE_arraySpec

      See Also:
        Constant Field Values

    - #### RULE_arrayRange

          public static final int RULE_arrayRange

      See Also:
        Constant Field Values

    - #### RULE_arrayElement

          public static final int RULE_arrayElement

      See Also:
        Constant Field Values

    - #### RULE_function

          public static final int RULE_function

      See Also:
        Constant Field Values

    - #### RULE_substringFunction

          public static final int RULE_substringFunction

      See Also:
        Constant Field Values

    - #### RULE_trimFunction

          public static final int RULE_trimFunction

      See Also:
        Constant Field Values

    - #### RULE_extractFunction

          public static final int RULE_extractFunction

      See Also:
        Constant Field Values

    - #### RULE_trimSpecification

          public static final int RULE_trimSpecification

      See Also:
        Constant Field Values

    - #### RULE_selectClause

          public static final int RULE_selectClause

      See Also:
        Constant Field Values

    - #### ruleNames

          public static final java.lang.String[] ruleNames

    - #### VOCABULARY

          public static final org.antlr.v4.runtime.Vocabulary VOCABULARY

    - #### tokenNames

          @Deprecated
          public static final java.lang.String[] tokenNames

      Deprecated. Use `VOCABULARY` instead.

    - #### _defaultValues

          protected boolean _defaultValues

    - #### statementModel

          protected JaybirdStatementModel statementModel

    - #### _errorMessages

          protected java.util.ArrayList _errorMessages

    - #### _serializedATN

          public static final java.lang.String _serializedATN

      See Also:
        Constant Field Values

    - #### _ATN

          public static final org.antlr.v4.runtime.atn.ATN _ATN

  - ### Constructor Detail

    - #### JaybirdSqlParser

          public JaybirdSqlParser(org.antlr.v4.runtime.TokenStream input)

  - ### Method Detail

    - #### getTokenNames

          @Deprecated
          public java.lang.String[] getTokenNames()

      Deprecated.
      Specified by:
        `getTokenNames` in class `org.antlr.v4.runtime.Recognizer<org.antlr.v4.runtime.Token,org.antlr.v4.runtime.atn.ParserATNSimulator>`

    - #### getVocabulary

          public org.antlr.v4.runtime.Vocabulary getVocabulary()

      Overrides:
        `getVocabulary` in class `org.antlr.v4.runtime.Recognizer<org.antlr.v4.runtime.Token,org.antlr.v4.runtime.atn.ParserATNSimulator>`

    - #### getGrammarFileName

          public java.lang.String getGrammarFileName()

      Specified by:
        `getGrammarFileName` in class `org.antlr.v4.runtime.Recognizer<org.antlr.v4.runtime.Token,org.antlr.v4.runtime.atn.ParserATNSimulator>`

    - #### getRuleNames

          public java.lang.String[] getRuleNames()

      Specified by:
        `getRuleNames` in class `org.antlr.v4.runtime.Recognizer<org.antlr.v4.runtime.Token,org.antlr.v4.runtime.atn.ParserATNSimulator>`

    - #### getSerializedATN

          public java.lang.String getSerializedATN()

      Overrides:
        `getSerializedATN` in class `org.antlr.v4.runtime.Recognizer<org.antlr.v4.runtime.Token,org.antlr.v4.runtime.atn.ParserATNSimulator>`

    - #### getATN

          public org.antlr.v4.runtime.atn.ATN getATN()

      Specified by:
        `getATN` in class `org.antlr.v4.runtime.Recognizer<org.antlr.v4.runtime.Token,org.antlr.v4.runtime.atn.ParserATNSimulator>`

    - #### getStatementModel

          public JaybirdStatementModel getStatementModel()

    - #### getErrorMessages

          public java.util.Collection getErrorMessages()

    - #### getColumn

          public java.lang.String getColumn(int index)

    - #### getValue

          public java.lang.String getValue(int index)

    - #### getTableName

          public java.lang.String getTableName()

    - #### emitErrorMessage

          public void emitErrorMessage(java.lang.String msg)

    - #### statement

          public final JaybirdSqlParser.StatementContext statement()
                                                            throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### deleteStatement

          public final JaybirdSqlParser.DeleteStatementContext deleteStatement()
                                                                        throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### updateStatement

          public final JaybirdSqlParser.UpdateStatementContext updateStatement()
                                                                        throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### assignments

          public final JaybirdSqlParser.AssignmentsContext assignments()
                                                                throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### assignment

          public final JaybirdSqlParser.AssignmentContext assignment()
                                                              throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### updateOrInsertStatement

          public final JaybirdSqlParser.UpdateOrInsertStatementContext updateOrInsertStatement()
                                                                                        throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### matchingClause

          public final JaybirdSqlParser.MatchingClauseContext matchingClause()
                                                                      throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### insertStatement

          public final JaybirdSqlParser.InsertStatementContext insertStatement()
                                                                        throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### insertColumns

          public final JaybirdSqlParser.InsertColumnsContext insertColumns()
                                                                    throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### insertValues

          public final JaybirdSqlParser.InsertValuesContext insertValues()
                                                                  throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### returningClause

          public final JaybirdSqlParser.ReturningClauseContext returningClause()
                                                                        throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### defaultValuesClause

          public final JaybirdSqlParser.DefaultValuesClauseContext defaultValuesClause()
                                                                                throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### simpleIdentifier

          public final JaybirdSqlParser.SimpleIdentifierContext simpleIdentifier()
                                                                          throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### fullIdentifier

          public final JaybirdSqlParser.FullIdentifierContext fullIdentifier()
                                                                      throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### tableName

          public final JaybirdSqlParser.TableNameContext tableName()
                                                            throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### columnList

          public final JaybirdSqlParser.ColumnListContext columnList()
                                                              throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### columnName

          public final JaybirdSqlParser.ColumnNameContext columnName()
                                                              throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### valueList

          public final JaybirdSqlParser.ValueListContext valueList()
                                                            throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### value

          public final JaybirdSqlParser.ValueContext value()
                                                    throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### parameter

          public final JaybirdSqlParser.ParameterContext parameter()
                                                            throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### nullValue

          public final JaybirdSqlParser.NullValueContext nullValue()
                                                            throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### simpleValue

          public final JaybirdSqlParser.SimpleValueContext simpleValue()
                                                                throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### nextValueExpression

          public final JaybirdSqlParser.NextValueExpressionContext nextValueExpression()
                                                                                throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### castExpression

          public final JaybirdSqlParser.CastExpressionContext castExpression()
                                                                      throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### dataTypeDescriptor

          public final JaybirdSqlParser.DataTypeDescriptorContext dataTypeDescriptor()
                                                                              throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### nonArrayType

          public final JaybirdSqlParser.NonArrayTypeContext nonArrayType()
                                                                  throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### simpleType

          public final JaybirdSqlParser.SimpleTypeContext simpleType()
                                                              throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### charType

          public final JaybirdSqlParser.CharTypeContext charType()
                                                          throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### nonCharSetCharType

          public final JaybirdSqlParser.NonCharSetCharTypeContext nonCharSetCharType()
                                                                              throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### charSetCharType

          public final JaybirdSqlParser.CharSetCharTypeContext charSetCharType()
                                                                        throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### nonCharType

          public final JaybirdSqlParser.NonCharTypeContext nonCharType()
                                                                throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### blobType

          public final JaybirdSqlParser.BlobTypeContext blobType()
                                                          throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### blobSubtype

          public final JaybirdSqlParser.BlobSubtypeContext blobSubtype()
                                                                throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### blobSegSize

          public final JaybirdSqlParser.BlobSegSizeContext blobSegSize()
                                                                throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### charSetClause

          public final JaybirdSqlParser.CharSetClauseContext charSetClause()
                                                                    throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### arrayType

          public final JaybirdSqlParser.ArrayTypeContext arrayType()
                                                            throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### arraySpec

          public final JaybirdSqlParser.ArraySpecContext arraySpec()
                                                            throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### arrayRange

          public final JaybirdSqlParser.ArrayRangeContext arrayRange()
                                                              throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### arrayElement

          public final JaybirdSqlParser.ArrayElementContext arrayElement()
                                                                  throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### function

          public final JaybirdSqlParser.FunctionContext function()
                                                          throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### substringFunction

          public final JaybirdSqlParser.SubstringFunctionContext substringFunction()
                                                                            throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### trimFunction

          public final JaybirdSqlParser.TrimFunctionContext trimFunction()
                                                                  throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### extractFunction

          public final JaybirdSqlParser.ExtractFunctionContext extractFunction()
                                                                        throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### trimSpecification

          public final JaybirdSqlParser.TrimSpecificationContext trimSpecification()
                                                                            throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### selectClause

          public final JaybirdSqlParser.SelectClauseContext selectClause()
                                                                  throws org.antlr.v4.runtime.RecognitionException

      Throws:
        `org.antlr.v4.runtime.RecognitionException`

    - #### sempred

          public boolean sempred(org.antlr.v4.runtime.RuleContext _localctx,
                                 int ruleIndex,
                                 int predIndex)

      Overrides:
        `sempred` in class `org.antlr.v4.runtime.Recognizer<org.antlr.v4.runtime.Token,org.antlr.v4.runtime.atn.ParserATNSimulator>`

Copyright © 2001-2021 Jaybird (Firebird JDBC/JCA) team. All rights reserved.